package com.bonus.sharedstation.api.service;

import com.bonus.sharedstation.api.dto.DictDataRespDTO;
import com.bonus.sharedstation.api.vo.DictDataInfoDO;

import java.util.List;

/**
 * 字典类型 Service 接口
 *
 * @author roof
 */
public interface DictService {

    List<DictDataInfoDO> getDataByType(String dataType);

    List<DictDataInfoDO> queryDictDataByCode(String dataType, String dataCode, long parseLong);


    List<DictDataInfoDO> getDictionaryInfo(String dataType);

    DictDataInfoDO getDictionaryData(String dataType);

    DictDataInfoDO getDictionaryDataByCondition(String dataType, String dataCode);
}
